package com.shkj.wms.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public enum MapEnum {

    /**
     * 一楼生产车间入库工作站
     */
    oneIn("SC-G1-00-00-1001", "一楼生产车间入库工作站"),

    /**
     * 一楼生产车间出库工作站
     */
    oneOut("SC-G1-00-00-1002", "一楼生产车间出库工作站"),
    /**
     * 二楼连廊入库扫码工作站（上面）
     */
    twoUpIn("SC-G2-00-00-2001", "二楼连廊入库扫码工作站（上面）"),
    /**
     * 二楼连廊入库扫码工作站（下面）
     */
    twoDownIn("SC-G2-00-00-2002", "二楼连廊入库扫码工作站（下面）"),
    /**
     * 叠盘机工作站
     */
    dpj("SC-G2-00-00-2003", "叠盘机工作站"),
    /**
     * 叠盘机工位1
     */
    dpjGw1("SC-E2-00-34-01", "叠盘机工位1"),
    /**
     * 叠盘机工位2
     */
    dpjGw2("SC-E2-00-34-02", "叠盘机工位2"),
    /**
     * 叠盘机工位3
     */
    dpjGw3("SC-E2-00-34-03", "叠盘机工位3"),
    ;

    private String value;
    private String desc;
}
